// Code generated by go-swagger; DO NOT EDIT.

package networks

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*VMNetworkEditDefault An unexpected error response

swagger:response vmNetworkEditDefault
*/
type VMNetworkEditDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewVMNetworkEditDefault creates VMNetworkEditDefault with default headers values
func NewVMNetworkEditDefault(code int) *VMNetworkEditDefault {
	if code <= 0 {
		code = 500
	}

	return &VMNetworkEditDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the vm network edit default response
func (o *VMNetworkEditDefault) WithStatusCode(code int) *VMNetworkEditDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the vm network edit default response
func (o *VMNetworkEditDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the vm network edit default response
func (o *VMNetworkEditDefault) WithPayload(payload *models.Error) *VMNetworkEditDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the vm network edit default response
func (o *VMNetworkEditDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *VMNetworkEditDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
